Bug 1470068 - Unable to navigate through the service requests due to a template error on "split"
Unable to navigate through the service requests due to a template error on "s...
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
All All
high Severity high
: GA
: 5.9.0
Assigned To: lgalis
Shveta
: TestOnly, ZStream
: 1471166 1494435 (view as bug list)
Depends On:
Blocks: 1474504
  Show dependency treegraph
 
Reported: 2017-07-12 07:23 EDT by Felix Dewaleyne
Modified: 2018-01-10 16:42 EST (History)
12 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1474504 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Description Felix Dewaleyne 2017-07-12 07:23:22 EDT
Description of problem:
When browsing to  Services -> Requests the customer is experiencing a template error that prevents their users from accessing the details of the users

Version-Release number of selected component (if applicable):
5.8.0.17

How reproducible:
all the time on affected appliance

Steps to Reproduce:
1.log in as any user (logs show non-admin user)
2.go to service => request
3.

Actual results:
 FATAL -- : Error caught: [ActionView::Template::Error] undefined method `split' for 1:Fixnum
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-1048ffdbd63f/app/helpers/application_helper/dialogs.rb:18:in `dialog_dropdown_selected_value'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-1048ffdbd63f/app/views/shared/dialogs/_dialog_field_drop_down_list.html.haml:39:in `__opt_rh_cfme_gemset_bundler_gems_manageiq_ui_classic_____ffdbd__f_app_views_shared_dialogs__dialog_field_drop_down_list_html_haml__3246338562607631390_180551940'
/opt/rh/cfme-gemset/gems/actionview-5.0.3/lib/action_view/template.rb:159:in `block in render'


Expected results:
the error does not happen and the data is displayed

Additional info:
full logs attached privately
Comment 4 lgalis 2017-07-14 12:54:50 EDT
*** Bug 1471166 has been marked as a duplicate of this bug. ***
Comment 14 lgalis 2017-09-25 13:09:28 EDT
*** Bug 1494435 has been marked as a duplicate of this bug. ***
Comment 15 Shveta 2017-10-31 14:49:04 EDT
Fixed in 5.9.0.4.20171024163837_ef71ea6

Note You need to log in before you can comment on or make changes to this bug.